VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Swimmer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Swimmer
Private ssex As String
Private sage As Integer
Private stime As Single
Private sclub As String
Private sfrname As String, slname As String
'-----
Public Sub init(Fl As File)
  Dim i As Integer
  Dim nm As String
  
  nm = Fl.readToken               'Pobierz token
  i = InStr(nm, " ")
  If i > 0 Then                   'Podziel na imię i nazwisko
    sfrname = Left(nm, i - 1)
    slname = Right$(nm, Len(nm) - i)
  Else
    sfrname = ""
    slname = nm                   'Jeśli tylko nazwisko
  End If
  
  sage = Val(Fl.readToken)        'Pobierz wiek
  sclub = Fl.readToken            'Pobierz nazwę klubu
  stime = Val(Fl.readToken)       'Pobierz wynik
  ssex = Fl.readToken             'Pobierz płeć
End Sub
'-----
Public Function getTime() As Single
  getTime = stime
End Function
'-----
Public Function getSex() As String
  getSex = ssex
End Function
'-----
Public Function getName() As String
  getName = sfrname + " " + slname
End Function
'-----
Public Function getClub() As String
  getClub = sclub
End Function
'-----
Public Function getAge() As Integer
  getAge = sage
End Function
